From: Jonathan E Brassow <jbrassow@redhat.com>

Add flush support to dm-raid.

md has support for flush.  dm core has support for flush.
Set the variable necessary to indicate that dm should pass
any flushes to the dm-raid target for it to pass on to md.

Signed-off-by: Jonathan Brassow <jbrassow@redhat.com>
Acked-by: Mike Snitzer <snitzer@redhat.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

Index: linux-3.3-rc3/drivers/md/dm-raid.c
===================================================================
--- linux-3.3-rc3.orig/drivers/md/dm-raid.c
+++ linux-3.3-rc3/drivers/md/dm-raid.c
@@ -1024,6 +1024,7 @@ static int raid_ctr(struct dm_target *ti
 
 	INIT_WORK(&rs->md.event_work, do_table_event);
 	ti->private = rs;
+	ti->num_flush_requests = 1;
 
 	mutex_lock(&rs->md.reconfig_mutex);
 	ret = md_run(&rs->md);
